Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"5ac20c68-8939-49ae-b874-d4ea92911e19","userId":"5a36378c-a154-40eb-a1fa-b1f59dcf50d9","userUrl":null,"dateSwiped":"2026-08-20T23:33:05.9402182+00:00","dateViewed":"2026-08-20T23:33:05.9402182+00:00"},{"id":"e99a77a8-959a-4a56-b585-3f816522fe06","userId":"abf055ed-0dbc-4993-b325-e5f62fbfc8f9","userUrl":null,"dateSwiped":null,"dateViewed":"2026-08-21T23:33:05.9402182+00:00"}]}
object
  count integer      
  data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string